Bug 1122021 - (CVE-2019-6292) VUL-1: CVE-2019-6292: yaml-cpp: An issue was discovered in singledocparser.cpp in yaml-cpp which cause DOS by stack consumption
(CVE-2019-6292)
VUL-1: CVE-2019-6292: yaml-cpp: An issue was discovered in singledocparser.cp...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Stanislav Brabec
Security Team bot
https://smash.suse.de/issue/222778/
CVSSv3:SUSE:CVE-2019-6292:5.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-15 14:53 UTC by Alexandros Toptsoglou
Modified: 2022-05-16 15:10 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-01-15 14:53:46 UTC
CVE-2019-6292

An issue was discovered in singledocparser.cpp in yaml-cpp (aka LibYaml-C++)
0.6.2. Stack Exhaustion occurs in YAML::SingleDocParser, and there is a stack
consumption problem caused by recursive stack frames: HandleCompactMap,
HandleMap, HandleFlowSequence, HandleSequence, HandleNode. Remote attackers
could leverage this vulnerability to cause a denial-of-service via a cpp file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-6292
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-6292.html
http://www.cvedetails.com/cve/CVE-2019-6292/
https://github.com/jbeder/yaml-cpp/issues/657
Comment 1 Alexandros Toptsoglou 2019-01-15 14:56:24 UTC
The vulnerable function as it is now was introduced in commit 9b4db068bb06134e35b8a00085252d2ea5bf2fbc [1] which is contained to all versions from 0.5.2 till the current (0.6.2). SLE12-SP2 and SLE15 with versions 0.5.3 and 0.6.1 respectively should be affected. 

No fix is yet available in the upstream.This means that this is an open issue[2].    
A POC is available at [3]

[1] https://github.com/jbeder/yaml-cpp/commit/9b4db068bb06134e35b8a00085252d2ea5bf2fbc
[2] https://github.com/jbeder/yaml-cpp/issues/657
[3] https://github.com/jbeder/yaml-cpp/files/2720978/POC.zip
Comment 2 Kristyna Streitova 2021-03-25 18:42:06 UTC
In https://github.com/jbeder/yaml-cpp/issues/660#issuecomment-470930181 they mentioned that this issue CVE-2019-6292 is probably a duplicate of CVE-2019-6285 that has been already fixed upstream in https://github.com/jbeder/yaml-cpp/pull/807
Comment 4 Stanislav Brabec 2022-03-21 01:18:28 UTC
Requests were accepted, release is in progress.
https://maintenance.suse.de/request/261354/
Comment 5 Gianluca Gabrielli 2022-03-21 09:50:27 UTC
same as bsc#1121227#c6 [0].

[0] https://bugzilla.suse.com/show_bug.cgi?id=1121227#c6
Comment 6 Swamp Workflow Management 2022-04-01 13:17:02 UTC
SUSE-SU-2022:1072-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1121227,1121230,1122004,1122021
CVE References: CVE-2018-20573,CVE-2018-20574,CVE-2019-6285,CVE-2019-6292
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    yaml-cpp-0.5.3-3.6.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-04-01 13:17:45 UTC
openSUSE-SU-2022:1073-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1121227,1121230,1122004,1122021
CVE References: CVE-2018-20573,CVE-2018-20574,CVE-2019-6285,CVE-2019-6292
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    yaml-cpp-0.6.1-4.5.1
Comment 8 Swamp Workflow Management 2022-04-01 13:19:18 UTC
SUSE-SU-2022:1073-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1121227,1121230,1122004,1122021
CVE References: CVE-2018-20573,CVE-2018-20574,CVE-2019-6285,CVE-2019-6292
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    yaml-cpp-0.6.1-4.5.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    yaml-cpp-0.6.1-4.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    yaml-cpp-0.6.1-4.5.1
SUSE Linux Enterprise Micro 5.1 (src):    yaml-cpp-0.6.1-4.5.1
SUSE Linux Enterprise Micro 5.0 (src):    yaml-cpp-0.6.1-4.5.1
SUSE Linux Enterprise Installer 15-SP2 (src):    yaml-cpp-0.6.1-4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Stanislav Brabec 2022-04-09 00:33:29 UTC
I did not prepare the previous update, so I don't have an insight. I hope that it is sufficient to apply the same patch as SP3 has.

Submitted to SLE15 SP4 GA: https://build.suse.de/request/show/269442
Comment 10 Swamp Workflow Management 2022-04-13 19:28:25 UTC
SUSE-SU-2022:1073-2: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1121227,1121230,1122004,1122021
CVE References: CVE-2018-20573,CVE-2018-20574,CVE-2019-6285,CVE-2019-6292
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    yaml-cpp-0.6.1-4.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Stanislav Brabec 2022-05-16 15:10:00 UTC
I hope it is completely fixed now.